Package org.sonatype.maven.polyglot.execute

## Interface ExecuteTask

All Known Implementing Classes:
  `ExecuteTaskSupport`

    public interface ExecuteTask

Represents a language specific task to be executed.

Since:
  0.7
Author:
  Jason Dillon

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `execute​(ExecuteContext context)`
`java.lang.String` `getId()`
`java.lang.String` `getPhase()`
`java.lang.String` `getProfileId()` profile id of the execute task.

### Method Detail

#### getId

    java.lang.String getId()

#### getPhase

    java.lang.String getPhase()

#### getProfileId

    java.lang.String getProfileId()

profile id of the execute task. can be `null` then the execute task belongs to project.build

#### execute

    void execute​(ExecuteContext context)
          throws java.lang.Exception

Throws:
  `java.lang.Exception`